import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import GigaStudioLogoLight from './GigaStudioLogoLight';
import GigaStudioLogoDark from './GigaStudioLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const GigaStudioLogoSvg = forwardRef(function GigaStudioLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(GigaStudioLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(GigaStudioLogoLight, Object.assign({}, props, { ref: ref })));
});
export default GigaStudioLogoSvg;
